Bug 1474309 - Disperse: Coverity issue
Disperse: Coverity issue
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: disperse (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sunny Kumar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 07:56 EDT by Sunny Kumar
Modified: 2017-09-20 08:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunny Kumar 2017-07-24 07:56:48 EDT
Description of problem:
Coverity scan result:
https://download.gluster.org/pub/gluster/glusterfs/static-analysis/master/glusterfs-coverity/2017-07-21-88af8d7a/html/

EC Issue:
https://download.gluster.org/pub/gluster/glusterfs/static-analysis/master/glusterfs-coverity/2017-07-21-88af8d7a/html/1/7ec-common.c.html#error:12


Version-Release number of selected component (if applicable):
master

How reproducible:


Steps to Reproduce:
Coverity

Actual results:


Expected results:


Additional info:
Comment 1 Worker Ant 2017-07-24 08:06:56 EDT
REVIEW: https://review.gluster.org/17860 (cluster/ec: Fix coverity issue) posted (#1) for review on master by Anonymous Coward
Comment 2 Worker Ant 2017-07-25 05:10:35 EDT
REVIEW: https://review.gluster.org/17860 (cluster/ec: Fix coverity issue) posted (#2) for review on master by Sunny Kumar
Comment 3 Worker Ant 2017-07-31 02:57:28 EDT
REVIEW: https://review.gluster.org/17860 (cluster/ec: Fix coverity issue) posted (#3) for review on master by Sunny Kumar
Comment 4 Worker Ant 2017-09-02 10:03:15 EDT
REVIEW: https://review.gluster.org/18186 (cluster/ec: fix for BAD_SHIFT, follow-up patch) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 5 Worker Ant 2017-09-15 09:33:07 EDT
REVIEW: https://review.gluster.org/18186 (cluster/ec: fix for BAD_SHIFT, follow-up patch) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 6 Worker Ant 2017-09-15 09:52:39 EDT
REVIEW: https://review.gluster.org/18186 (cluster/ec: fix for BAD_SHIFT, follow-up patch) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 7 Worker Ant 2017-09-20 05:40:33 EDT
COMMIT: https://review.gluster.org/18186 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 6b30347f65c9590fa1b636e4aed0471dc8eeff07
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Sat Sep 2 09:49:06 2017 -0400

    cluster/ec: fix for BAD_SHIFT, follow-up patch
    
    Address comments to https://review.gluster.org/18067, (Change-Id
    I86e15d12939c610c99f5f96c551bb870df20f4b4)
    
    Which was posted as an RFC as an example of a possible alternative
    fix to https://review.gluster.org/17860 (Change-Id
    I28a3bdd4a357526dba0cf84c262919c05cfa173e)
    
    An alternative fix that preserved the unsignedness of the indexes
    throughout, obviating the need to check its value before using it to
    shift. (shift by negative number is undefined, as is shift by more
    bits than in the type.)
    
    BUG: 1474309
    Change-Id: I46fe9cec140d3397463780748f6876251acb06dd
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.